Package classycle.dependency

# Class LayeringStatement

java.lang.Object
classycle.dependency.LayeringStatement

All Implemented Interfaces:
  `Statement`

public class LayeringStatement extends Object implements Statement

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`LayeringStatement(StringPattern[][] layers, boolean strictLayering, classycle.dependency.SetDefinitionRepository repository, classycle.dependency.LayerDefinitionRepository layerRepository, ResultRenderer renderer)`

## Method Summary

Modifier and Type
Method
Description
`Result`
`execute(AtomicVertex[] graph)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LayeringStatement

public LayeringStatement(StringPattern[][] layers, boolean strictLayering, classycle.dependency.SetDefinitionRepository repository, classycle.dependency.LayerDefinitionRepository layerRepository, ResultRenderer renderer)

## Method Details

### execute

public Result execute(AtomicVertex[] graph)

Specified by:
  `execute` in interface `Statement`

### toString

public String toString()

Overrides:
  `toString` in class `Object`